CVE-2013-0336

Published: 26 March 2013

The ipapwd_chpwop function in daemons/ipa-slapi-plugins/ipa-pwd-extop/ipa_pwd_extop.c in the directory server (dirsrv) in FreeIPA before 3.2.0 allows remote attackers to cause a denial of service (crash) via a connection request without a username/dn, related to the 389 directory server.

Priority

Medium

Status

Package Release Status
389-ds-base
Launchpad, Ubuntu, Debian
Upstream
Released (1.3.2.9)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was not-affected [1.3.2.11-0ubuntu1])
freeipa
Launchpad, Ubuntu, Debian
Upstream
Released (3.2.0)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(3.3.4-0ubuntu3)

Notes

AuthorNote
seth-arnold
patches are in Message-ID: <20130323212445.GG3176@redhat.com>

References